Subject: IETF 70 and 73 Venue Announcement

From: Ray Pelletier <[email-masked]>
Date: Mon, 05 Mar 2007 17:44:40 -0500

The IETF is pleased to announce its meeting locations for IETF's 70 and 
73, and they are locations we have been to before.

IETF 70 will be held in Vancouver at the Vancouver Westin from December 
2nd through the 7th 2007.  You may recall IETF 64 was at this facility.

IETF 73 will be held in Minneapolis at the Minneapolis Hilton from 
November 16 through the 21st in 2008.  IETF's 62 and 53 were held in 
Minneapolis.

More information about these venues will be published after Prague.

Expressions of interest in hosting or sponsoring meetings may be made to 
Terry Monroe at [email-masked].  The future meetings calendar can be 
found at: http://www3.ietf.org/meetings/0mtg-sites.txt

See you in Prague.

Ray Pelletier
IETF Administrative Director